[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# lock_code

Lock code memory range

## Declaration

Source position: go32.pp line 142

`function lock_code(`
`functionaddr: pointer;`
`size: LongInt`
`):Boolean;`

## Description

Locks a memory range which is in the code segment selector.

Parameters:

functionaddr
  address of the function to be locked.
size
  size in bytes to be locked.

Return values: True if successful, False otherwise.

For an example, see get_rm_callback.

## Errors

Check the int31error variable.

## See also

lock_linear_region |  | Lock linear memory region
lock_data |  | Lock data memory range
unlock_linear_region |  | Unlock linear memory region
unlock_data |  | Unlock data segment
unlock_code |  | Unlock code segment

Documentation generated on: Feb 26 2014